MoDoCoT (Moodle Dockerized Code Testing )

========================================

# Purpose
This is the Git repository for the MoDoCoT project, which was developed in the summer semester 2020 for the software project in the IT course at the HFT Stuttgart

# Goal
The system MoDoCoT enables a professor to set up Moodle exercise hand-ins for students in the HFT Stuttgarts official Moodle system, where MoDoCoT builds the code and runs a Junit test suite over the code. MoDoCoT shows the weighted JUnit test results to the respective student similar to other test results in Moodle.

# Use Cases
- A teacher should be able to upload JUnit test files when creating an assignment
- A student should be able to upload Java files to this assignment. Those files should be tested with the provided JUnit tests.
- The student should see a summary of the test results.
- The teacher should see a summary of all test results of all students, but also be able to view the detailed results.


# Important Links:
[Backend Git Repository](https://transfer.hft-stuttgart.de/gitlab/HFTSoftwareProject/MoDoCoT-Backend.git)

[JUnitTestLauncher](https://transfer.hft-stuttgart.de/gitlab/HFTSoftwareProject/junittestlauncher.git)

[Frontent Git Repository](https://transfer.hft-stuttgart.de/gitlab/HFTSoftwareProject/moodle-assignsubmission_modocot.git)

[Frontend Docker Configuration](https://transfer.hft-stuttgart.de/gitlab/HFTSoftwareProject/modocot-moodle-docker.git)

[Backend Docker Repository](https://hub.docker.com/r/hftstuttgart/modocot-backend)
